package com.yonge.cooleshow.biz.dal.vo.res;

import com.yonge.cooleshow.biz.dal.enums.PayChannelEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author: liweifan
 * @Data: 2022/4/1 15:35
 */
@ApiModel(value = "OrderPayRes", description = "订单支付请求返回对象")
public class OrderPayRes {
    @ApiModelProperty("支付金额")
    private String pay_amt;
    @ApiModelProperty("pay_info")
    private String pay_info;

    @ApiModelProperty(value = "支付渠道:  alipay 支付宝  wx_lite 微信 ")
    private PayChannelEnum payChannel;

    public String getPay_amt() {
        return pay_amt;
    }

    public void setPay_amt(String pay_amt) {
        this.pay_amt = pay_amt;
    }

    public PayChannelEnum getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(PayChannelEnum payChannel) {
        this.payChannel = payChannel;
    }

    public String getPay_info() {
        return pay_info;
    }

    public void setPay_info(String pay_info) {
        this.pay_info = pay_info;
    }
}
